Bug 220142 - [firefox] - [s390x] - Up & Down arrow keys directing cursor movement horizontally instead of vertically
[firefox] - [s390x] - Up & Down arrow keys directing cursor movement horizont...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox (Show other bugs)
4.0
s390x Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
massRequestForReproduction
: Desktop, i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-19 01:04 EST by Satyabrata Maitra
Modified: 2009-07-10 05:03 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-10 05:03:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Satyabrata Maitra 2006-12-19 01:04:35 EST
Description of problem:
in Architecture - s390x stale system, the down-arrow key causing cursor movement
on the same line towards right horizentally and up-arrow key causing vursor
movement towards left side!! not up and down vertically, at all. Its happening
for Desktop and i18n locales both.

Version-Release number of selected component (if applicable):
firefox-1.5.0.9-0.1.el4

How reproducible:
Always

Steps to Reproduce:
1. Open firefox in s390x arch system
2. Open any page where text can be entered.
3. Copy any article in various locales, using wikipedia.org or other 
   sites and paste it to the text box in firefox.
4. Move the Cursor up and down through the text
5. Observe the cursor Movement
  
Actual results:
Cursor movement for up & down key is proceeding horizentally instead of vertical
movement

Expected results:
The cursor should move up and down when pressing up and down arrow key.

Additional info:
Comment 1 Satyabrata Maitra 2006-12-19 01:07:59 EST
I tested it on the stable system for errata : s390x-4as.z900.redhat.com.
Comment 2 Radek Bíba 2006-12-19 03:33:55 EST
Happens also in Seamonkey (textareas) and Thunderbird (e.g. message composer).

Please also note that Home and Page Up keys move the cursor left, and End and
Page Down keys move it right. Tested on s390x using vnc.
Comment 3 Matěj Cepl 2008-02-08 15:43:22 EST
Since this bugzilla report was filed, we have seriously upgraded Gecko-related
packages, which may have resolved this issue. Users who have experienced this
problem are encouraged to upgrade their system to the latest version of their
distribution available.

Please, confirm to us that this bug is reproducible on the latest upgrade of the
supported distribution (that's RHEL, or Fedora 7, 8, and Rawhide).

Setting the bug to NEEDINFO. If I won't get confirmation of reproducability in
30 days, the bug will be closed as INSUFFICIENT_DATA.

[This is mass-changing of bugs which seem to be too old and irrelevant anymore;
we are sorry, if this bug should not be incldued.]
Comment 4 Radek Bíba 2008-02-11 05:02:28 EST
No, this bug wasn't fixed automagically... I still see this behavior with
firefox-1.5.0.12-0.10.el4.
Comment 5 Radek Bíba 2009-03-09 11:43:15 EDT
I don't see this anymore with Firefox 3, which has been in RHEL 4 for almost a year now. Satya, can you have a look too?
(I still see this with 1.x seamonkey and thunderbird, FWIW)
Comment 6 Matěj Cepl 2009-05-16 18:09:17 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 7 Satyabrata Maitra 2009-05-18 01:47:07 EDT
Hi Matej

This bug has been fixed in Firefox 3, as I can see also. So, the issue is resolved. I am truly sorry, for my late reply really. Please close this bug as of now.

Note You need to log in before you can comment on or make changes to this bug.